KDEINIT4(8)

NAME
kdeinit4 - Lanceur de processus de KDE.

SYNOPSIS

kdeinit4 [--help] [[--no-fork] | [--no-kded] | [--suicide]] [[+programs] | [programs]]

DESCRIPTION

kdeinit4 est un lanceur de processus similaire d'une certaine manière à la célèbre commande init utilisée pour démarrer UNIX. Elle exécute les programmes KDE et les modules chargeables kdeinit (les KLM) leur permettant de démarrer de manière plus efficace.

Utiliser kdeinit4 pour lancer les applications KDE rend le lancement standard d'une application KDE beaucoup plus rapide et réduit la consommation de mémoire vive de manière substantielle.

kdeinit4 est lié à toutes les bibliothèques dont une application KDE standard a besoin. Grâce à cette technique, démarrer une application devient beaucoup rapide car seule l'application elle-même a besoin d'être liée. Dans le cas contraire, l'application et les bibliothèques qu'elle utilise doivent être liées.

DéSAVANTAGES

Le nom du processus des applications démarrées via kdeinit4 est "kdeinit4". Ce problème peut être corrigé à un certain degré en changeant le nom de l'application comme il est affiché par ps. Toutefois, les applications comme killall ne verront que kdeinit4 comme nom de processus. Pour contourner ce problème, utilisez kdekillall (de kdesdk/scripts) pour les applications démarrées via kdeinit4.

OPTIONS

--help
    Affiches l'aide à propos des options

--no-fork
    Ne pas bifurquer (forker), c'est à dire ne pas quitter avant que tous les programmes exécutés soient terminés.

--no-kded
    Ne pas démarrer kded

--suicide
    Terminer lorsque plus aucune application KDE n'est en fonctionnement.

+programs
    lance les requêtes de gestion des programmes

programs
    lance les programmes sans gérer les requêtes

UTILISATION

Une manière standard de lancer ce programme est de spécifier la commande suivante sur un prompt kdeinit4 program ou kdeinit4 +program

FICHIERS

/tmp/kde-$USER/kdeinit4_$INSTANCE
    ...

VARIABLES DENVIRONNEMENT

$HOME
    Spécifié le dossier personnel de l'utilisateur actuel

$KDE_HOME_READONLY
    Spécifie si le dossier personnel de l'utilisateur actuel est en lecture seule

$KDE_IS_PRELINKED
    Si défini, indique à kdeinit4 que les programmes KDE sont pré-liés.

    (Le pré-liage est un processus qui vous permet d'accélerer le processus de liage dynamique.)

$KDE_DISPLAY
    Si défini, indique à kdeinit4 qu'il est lancé sur un bureau KDE.

VOIR AUSSI

kded, kdekillall

BOGUES

Il y a probablement un tas de bogues. Utilisez bugs.kde.org[1] pour signaler les signaler.

AUTHORS

Waldo Bastian <bastian@kde.org>
    Author.

Mario Weilguni <mweilguni@sime.com>
    Author.

Lubos Lunak <l.lunak@kde.org>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org